import java.util.*;

public class Person {
	private String name; 	// person's name
	private final int id; // person's id number; can only be assigned once!
	
	public Person(String name) {
		this.name = name;
		Random r = new Random();
		id = r.nextInt(100000); // generate a ramdom id
	}
	
	public int getId() {
		return id;
	}
	
	public String getName() {
		return name;
	}
	
	/**
	 * changes the name of this person 
	 * @param name
	 */
	public void setName(String name) {
		this.name = name;
	}

}
